Headless LMS

Revoke or reinstate an entitlement

PATCH /api/entitlements/{id}. Revoke or reinstate an entitlement. Headless LMS Entitlements API reference.

PATCH
/api/entitlements/{id}

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/entitlements/string" \  -H "Content-Type: application/json" \  -d '{    "status": "active"  }'
{  "orgId": "string",  "id": "string",  "orgUserId": "string",  "bundleId": "string",  "contentId": "string",  "status": "active",  "source": "string",  "grantedAt": "2019-08-24T14:15:22Z",  "expiresAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string"}